Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.forms
Class ValidateParameter

    java.lang.Object
      |
      +--com.bea.p13n.appflow.webflow.forms.ValidateParameter

public class ValidateParameter
extends java.lang.Object

The `ValidateParameter` class validates HttpServletRequest paramaters and sets the status and value, depending upon the validation, into a map of statuses and values. The `getValidatedValues` tag uses these status and value to report the status of form fields back to the JSP.

Constructor Summary
`ValidateParameter()`

Method Summary
`static void` | `addInValidParameter(java.lang.String key, java.lang.String value, ValidatedValues validatedValues, ValidationStatus invalidFieldIsPresent)` Add all parameters which are invalid into a map with invalid status and value.
`static void` | `addValidParameter(java.lang.String key, java.lang.String value, ValidatedValues validatedValues, ValidationStatus invalidFieldIsPresent)` Add all parameters which are valid into a map with valid status and value.
`static void` | `validateListBoxParameter(java.lang.String key, java.lang.String value, ValidatedValues validatedValues, ValidationStatus invalidFieldIsPresent)` Validate all the ListBox parameters in `HttpServletRequest` object.
`static void` | `validateOptionalListBoxParameter(java.lang.String key, java.lang.String value, ValidatedValues validatedValues, ValidationStatus invalidFieldIsPresent)` Validate all the ListBox parameters in `HttpServletRequest` object.
`static void` | `validateOptionalTextParameter(java.lang.String key, java.lang.String value, ValidatedValues validatedValues, ValidationStatus invalidFieldIsPresent)` Validate all the optional Text parameters in `HttpServletRequest` object.
`static void` | `validatePasswordParameter(java.lang.String key, java.lang.String value, ValidatedValues validatedValues, ValidationStatus invalidFieldIsPresent, ValidationStatus matchNotRequired)` Validate password parameter.
`static void` | `validateTextParameter(java.lang.String key, java.lang.String value, ValidatedValues validatedValues, ValidationStatus invalidFieldIsPresent)` Validate all the Text parameters in `HttpServletRequest` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateParameter

    public ValidateParameter()

Method Detail

### validateOptionalTextParameter

    public static void validateOptionalTextParameter(java.lang.String key,
                                                     java.lang.String value,
                                                     ValidatedValues validatedValues,
                                                     ValidationStatus invalidFieldIsPresent)

  Validate all the optional Text parameters in `HttpServletRequest` object.

  Parameters:
    `key` - name of the parameter.
    `value` - value of the parameter.
    `validatedValues` - `ValidatedValues` object to keep the status of all HttpServletRequest parameters.
    `invalidFieldIsPresent` - validation status of the field values.

### validateTextParameter

    public static void validateTextParameter(java.lang.String key,
                                             java.lang.String value,
                                             ValidatedValues validatedValues,
                                             ValidationStatus invalidFieldIsPresent)

  Validate all the Text parameters in `HttpServletRequest` object.

  Parameters:
    `key` - Name of the parameter
    `value` - Value of the parameter
    `validatedValues` - `ValidatedValues` object to keep the status of all HttpServletRequest parameters.
    `invalidFieldIsPresent` - validation status of the field values.

### validateListBoxParameter

    public static void validateListBoxParameter(java.lang.String key,
                                                java.lang.String value,
                                                ValidatedValues validatedValues,
                                                ValidationStatus invalidFieldIsPresent)

  Validate all the ListBox parameters in `HttpServletRequest` object.

  Parameters:
    `key` - Name of the parameter
    `value` - Value of the parameter
    `validatedValues` - `ValidatedValues` object to keep the status of all HttpServletRequest parameters.
    `invalidFieldIsPresent` - validation status of the field values.

### validateOptionalListBoxParameter

    public static void validateOptionalListBoxParameter(java.lang.String key,
                                                        java.lang.String value,
                                                        ValidatedValues validatedValues,
                                                        ValidationStatus invalidFieldIsPresent)

  Validate all the ListBox parameters in `HttpServletRequest` object.

  Parameters:
    `key` - Name of the parameter
    `value` - Value of the parameter
    `validatedValues` - `ValidatedValues` object to keep the status of all HttpServletRequest parameters.
    `invalidFieldIsPresent` - validation status of the field values.

### validatePasswordParameter

    public static void validatePasswordParameter(java.lang.String key,
                                                 java.lang.String value,
                                                 ValidatedValues validatedValues,
                                                 ValidationStatus invalidFieldIsPresent,
                                                 ValidationStatus matchNotRequired)

  Validate password parameter.

  Parameters:
    `key` - Name of the parameter
    `value` - Value of the parameter
    `validatedValues` - ValidatedValues object
    `validatedValues` - `ValidatedValues` object to keep the status of all HttpServletRequest parameters.
    `invalidFieldIsPresent` - validation status of the field values.

### addInValidParameter

    public static void addInValidParameter(java.lang.String key,
                                           java.lang.String value,
                                           ValidatedValues validatedValues,
                                           ValidationStatus invalidFieldIsPresent)

  Add all parameters which are invalid into a map with invalid status and value.

  Parameters:
    `key` - Name of the parameter
    `value` - Value of the parameter
    `validatedValues` - `ValidatedValues` object to keep the status of all HttpServletRequest parameters.
    `invalidFieldIsPresent` - validation status of the field values.

### addValidParameter

    public static void addValidParameter(java.lang.String key,
                                         java.lang.String value,
                                         ValidatedValues validatedValues,
                                         ValidationStatus invalidFieldIsPresent)

  Add all parameters which are valid into a map with valid status and value.

  Parameters:
    `key` - Name of the parameter
    `value` - Value of the parameter
    `validatedValues` - `ValidatedValues` object to keep the status of all HttpServletRequest parameters.
    `invalidFieldIsPresent` - validation status of the field values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved